# OgrePlatformManager.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreSingleton.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Typedefs

typedef void(* | DLL_CREATETIMER )(Timer **ppTimer)
typedef void(* | DLL_DESTROYCONFIGDIALOG )(ConfigDialog *ppDlg)
typedef void(* | DLL_DESTROYERRORDIALOG )(ErrorDialog *ppDlg)
typedef void(* | DLL_DESTROYINPUTREADER )(InputReader *ppReader)
typedef void(* | DLL_DESTROYTIMER )(Timer *ppTimer)
typedef void(* | DLL_MESSAGEPUMP )(RenderWindow *rw)

## Typedef Documentation

typedef void(* Ogre::DLL_CREATETIMER)(Timer **ppTimer)

| Definition at line 36 of file OgrePlatformManager.h.

typedef void(* Ogre::DLL_DESTROYCONFIGDIALOG)(ConfigDialog *ppDlg)

| Definition at line 38 of file OgrePlatformManager.h.

typedef void(* Ogre::DLL_DESTROYERRORDIALOG)(ErrorDialog *ppDlg)

| Definition at line 39 of file OgrePlatformManager.h.

typedef void(* Ogre::DLL_DESTROYINPUTREADER)(InputReader *ppReader)

| Definition at line 40 of file OgrePlatformManager.h.

typedef void(* Ogre::DLL_DESTROYTIMER)(Timer *ppTimer)

| Definition at line 41 of file OgrePlatformManager.h.

typedef void(* Ogre::DLL_MESSAGEPUMP)(RenderWindow *rw)

| Definition at line 43 of file OgrePlatformManager.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:13 2006